| Capability | How to call | Required inputs |
|---|---|---|
| List and filter vaults with full analytics | GET /v2/detailed-vaults | None. Optional query filters include allowedNetworks, allowedAssets, allowedProtocols, minTvl, maxApy, onlyTransactional, onlyAppFeatured, page, perPage, sortBy, and sortOrder |
| Get one vault’s full detail object | GET /v2/detailed-vaults/{network}/{vaultId} | Path: network, vaultId |
| Get one vault’s APY breakdown | GET /v2/detailed-vaults/{network}/{vaultId}/apy | Path: network, vaultId |
| Get one vault’s TVL data | GET /v2/detailed-vaults/{network}/{vaultId}/tvl | Path: network, vaultId |
Sections
Detailed Vaults
Comprehensive vault data including APY, TVL, the Reputation Score, fees, holder data, and protocol details.
Full vault objects with performance metrics, the Reputation Score, fee structures, holder data, and protocol info. Use these endpoints to build vault comparison views, detail pages, or yield aggregators.

